VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::content::library::PublishInfo::AuthenticationMethod Class Reference

The `PublishInfo.AuthenticationMethod` enumerated type indicates how a subscribed library should authenticate to the published library endpoint. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, BASIC, NONE }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static AuthenticationMethod[] | GetValues ()
static AuthenticationMethod | ValueOf (string name)
## Static Public Attributes
static readonly AuthenticationMethod | BASIC = new AuthenticationMethod("BASIC", Values.BASIC)
| Require HTTP Basic authentication matching a specified username and password.
static readonly AuthenticationMethod | NONE = new AuthenticationMethod("NONE", Values.NONE)
| Require no authentication.

## Detailed Description

The `PublishInfo.AuthenticationMethod` enumerated type indicates how a subscribed library should authenticate to the published library endpoint.

## Member Enumeration Documentation

enum vmware::content::library::PublishInfo::AuthenticationMethod::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  BASIC | Require HTTP Basic authentication matching a specified username and password.
  NONE | Require no authentication.

## Member Function Documentation

Values vmware::content::library::PublishInfo::AuthenticationMethod::GetEnumValue | ( |  | ) | `[inline]`

static AuthenticationMethod [] vmware::content::library::PublishInfo::AuthenticationMethod::GetValues | ( |  | ) | `[inline, static]`

bool vmware::content::library::PublishInfo::AuthenticationMethod::IsUnknown | ( |  | ) | `[inline]`

static AuthenticationMethod vmware::content::library::PublishInfo::AuthenticationMethod::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly AuthenticationMethod vmware::content::library::PublishInfo::AuthenticationMethod::BASIC = new AuthenticationMethod("BASIC", Values.BASIC)`[static]`

Require HTTP Basic authentication matching a specified username and password.

readonly AuthenticationMethod vmware::content::library::PublishInfo::AuthenticationMethod::NONE = new AuthenticationMethod("NONE", Values.NONE)`[static]`

Require no authentication.

The documentation for this class was generated from the following file:

- PublishInfo.cs